AWS
probe Lambda

# get_function_timeout

Get the configured timeout of a lambda function

Run it now
View details

Type | probe
Module | chaosaws.awslambda.probes
Name | get_function_timeout
Return | integer

The returned timeout is specified in number of seconds.

Usage

JSON

    {
      "name": "get-function-timeout",
      "type": "probe",
      "provider": {
        "type": "python",
        "module": "chaosaws.awslambda.probes",
        "func": "get_function_timeout",
        "arguments": {
          "function_name": ""
        }
      }
    }

YAML

    name: get-function-timeout
    provider:
      arguments:
        function_name: ""
      func: get_function_timeout
      module: chaosaws.awslambda.probes
      type: python
    type: probe

Arguments

Name | Type | Default | Required | Title | Description
--- | --- | --- | --- | --- | ---
function_name | string |  | Yes | Function Name | Name of the function
qualifier | string | null | No | Qualifier |

Signature

    def get_function_timeout(function_name: str,
                             qualifier: str = None,
                             configuration: Dict[str, Dict[str, str]] = None,
                             secrets: Dict[str, Dict[str, str]] = None) -> int:
        pass

## Related starters

- AWS
  action Lambda

  ## `invoke_function`

  Invokes Lambda
- AWS
  action Lambda

  ## `delete_event_source_mapping`

  Delete an event source mapping
- AWS
  action Lambda

  ## `put_function_concurrency`

  Throttles Lambda by setting reserved concurrency amount